Get IP2Company API usage
curl --request GET \
--url https://company.leadpipe.com/v1/usage \
--header 'X-API-Key: <api-key>'import requests
url = "https://company.leadpipe.com/v1/usage"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://company.leadpipe.com/v1/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://company.leadpipe.com/v1/usage",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://company.leadpipe.com/v1/usage"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://company.leadpipe.com/v1/usage")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://company.leadpipe.com/v1/usage")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"organizationId": "11111111-1111-4111-8111-111111111111",
"from": "2026-11-12T00:00:00.000Z",
"to": "2026-11-13T00:00:00.000Z",
"timezone": "UTC",
"totals": {
"requests": 0,
"creditsUsed": 0,
"outcomes": {
"company": 0,
"isp": 0,
"unclassified": 0,
"no_company": 0,
"pending": 0,
"missing": 0,
"invalid_request": 0,
"credit_limit": 0,
"rate_limited": 0,
"error": 0
}
},
"byKey": [],
"credits": {
"enabled": true,
"limit": 10000,
"used": 0,
"reserved": 0,
"remaining": 10000,
"periodStart": "2026-11-12T00:00:00.000Z"
}
}{
"error": {
"code": "HTTP_ERROR",
"message": "Invalid request"
},
"meta": {
"timestamp": "2026-11-12T00:00:00.000Z",
"request_id": "11111111-1111-4111-8111-111111111111"
}
}{
"error": {
"code": "HTTP_ERROR",
"message": "Missing X-API-Key header"
},
"meta": {
"timestamp": "2026-11-12T00:00:00.000Z",
"request_id": "11111111-1111-4111-8111-111111111111"
}
}{
"error": {
"code": "HTTP_ERROR",
"message": "IP2Company API access is disabled"
},
"meta": {
"timestamp": "2026-11-12T00:00:00.000Z",
"request_id": "11111111-1111-4111-8111-111111111111"
}
}{
"error": {
"code": "HTTP_ERROR",
"message": "IP2Company credit allowance exhausted"
},
"meta": {
"timestamp": "2026-11-12T00:00:00.000Z",
"request_id": "11111111-1111-4111-8111-111111111111"
}
}{
"error": {
"code": "HTTP_ERROR",
"message": "IP2Company temporarily unavailable"
},
"meta": {
"timestamp": "2026-11-12T00:00:00.000Z",
"request_id": "11111111-1111-4111-8111-111111111111"
}
}Usage
Get IP2Company API usage
Read organization request outcomes and IP2Company credit usage by API key. Reading usage consumes no credits.
GET
/
v1
/
usage
Get IP2Company API usage
curl --request GET \
--url https://company.leadpipe.com/v1/usage \
--header 'X-API-Key: <api-key>'import requests
url = "https://company.leadpipe.com/v1/usage"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://company.leadpipe.com/v1/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://company.leadpipe.com/v1/usage",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://company.leadpipe.com/v1/usage"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://company.leadpipe.com/v1/usage")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://company.leadpipe.com/v1/usage")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"organizationId": "11111111-1111-4111-8111-111111111111",
"from": "2026-11-12T00:00:00.000Z",
"to": "2026-11-13T00:00:00.000Z",
"timezone": "UTC",
"totals": {
"requests": 0,
"creditsUsed": 0,
"outcomes": {
"company": 0,
"isp": 0,
"unclassified": 0,
"no_company": 0,
"pending": 0,
"missing": 0,
"invalid_request": 0,
"credit_limit": 0,
"rate_limited": 0,
"error": 0
}
},
"byKey": [],
"credits": {
"enabled": true,
"limit": 10000,
"used": 0,
"reserved": 0,
"remaining": 10000,
"periodStart": "2026-11-12T00:00:00.000Z"
}
}{
"error": {
"code": "HTTP_ERROR",
"message": "Invalid request"
},
"meta": {
"timestamp": "2026-11-12T00:00:00.000Z",
"request_id": "11111111-1111-4111-8111-111111111111"
}
}{
"error": {
"code": "HTTP_ERROR",
"message": "Missing X-API-Key header"
},
"meta": {
"timestamp": "2026-11-12T00:00:00.000Z",
"request_id": "11111111-1111-4111-8111-111111111111"
}
}{
"error": {
"code": "HTTP_ERROR",
"message": "IP2Company API access is disabled"
},
"meta": {
"timestamp": "2026-11-12T00:00:00.000Z",
"request_id": "11111111-1111-4111-8111-111111111111"
}
}{
"error": {
"code": "HTTP_ERROR",
"message": "IP2Company credit allowance exhausted"
},
"meta": {
"timestamp": "2026-11-12T00:00:00.000Z",
"request_id": "11111111-1111-4111-8111-111111111111"
}
}{
"error": {
"code": "HTTP_ERROR",
"message": "IP2Company temporarily unavailable"
},
"meta": {
"timestamp": "2026-11-12T00:00:00.000Z",
"request_id": "11111111-1111-4111-8111-111111111111"
}
}See IP2Company credits and reporting. Request outcomes and consumed credits are separate; historical charges remain recorded.
Authorizations
Query Parameters
Response
Request outcomes and independent IP2Company credit balance.
Was this page helpful?